Subject: Re: bug#40279: 26.3; Error: you did not specify -i=mi on GDB's command line!

From: William Xu <[email-masked]>
Date: Tue, 27 Oct 2020 21:04:55 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> And as far as I can tell, gdb runs just fine without it, even on
> GNU/Linux?

Without that, the gdb commands and program I/O are mixed together in the
same buffer, so "*input/output of...*" window in gdb-many-windows will
be empty.

It is mostly useful if there is a lot of I/O from the program. It makes
it easier to inspect only the program I/O in that separated buffer.

So my change will kill the I/O separation. But then most of gdb mode
features will work.

Eli has explained it in my thread:
https://lists.gnu.org/archive/html/help-gnu-emacs/2020-10/msg00392.html

-- 
William